Bug 1660521 - [abrt] ibus: switcher_run(): ibus-ui-gtk3 killed by SIGABRT
Summary: [abrt] ibus: switcher_run(): ibus-ui-gtk3 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e8dc3c2cd7f17bd89bfaa9344e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 14:27 UTC by Mike FABIAN
Modified: 2019-11-27 23:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:30:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (40.12 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: cgroup (349 bytes, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: core_backtrace (11.76 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: dso_list (9.93 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: environ (4.51 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: maps (61.51 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: mountinfo (4.00 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: open_fds (1.00 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-12-18 14:27 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2018-12-18 14:27:15 UTC
Version-Release number of selected component:
ibus-1.5.19-9.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: switcher_run
executable:     /usr/libexec/ibus-ui-gtk3
journald_cursor: s=97659156fdcd42a7ae530ae478ed68e5;i=229753;b=74c40df927e24e4093b96fcb2fa0a32e;m=1bed994f3d;t=57bce9c825286;x=efbc8332f90d2fb3
kernel:         4.19.4-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            10030

Potential duplicate: bug 1011953

Comment 1 Mike FABIAN 2018-12-18 14:27:19 UTC
Created attachment 1515354 [details]
File: backtrace

Comment 2 Mike FABIAN 2018-12-18 14:27:21 UTC
Created attachment 1515355 [details]
File: cgroup

Comment 3 Mike FABIAN 2018-12-18 14:27:22 UTC
Created attachment 1515356 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2018-12-18 14:27:23 UTC
Created attachment 1515357 [details]
File: cpuinfo

Comment 5 Mike FABIAN 2018-12-18 14:27:25 UTC
Created attachment 1515358 [details]
File: dso_list

Comment 6 Mike FABIAN 2018-12-18 14:27:26 UTC
Created attachment 1515359 [details]
File: environ

Comment 7 Mike FABIAN 2018-12-18 14:27:28 UTC
Created attachment 1515360 [details]
File: limits

Comment 8 Mike FABIAN 2018-12-18 14:27:30 UTC
Created attachment 1515361 [details]
File: maps

Comment 9 Mike FABIAN 2018-12-18 14:27:32 UTC
Created attachment 1515362 [details]
File: mountinfo

Comment 10 Mike FABIAN 2018-12-18 14:27:33 UTC
Created attachment 1515363 [details]
File: open_fds

Comment 11 Mike FABIAN 2018-12-18 14:27:34 UTC
Created attachment 1515364 [details]
File: proc_pid_status

Comment 12 fujiwara 2018-12-19 06:29:42 UTC
(In reply to Mike FABIAN from comment #1)
> Created attachment 1515354 [details]
> File: backtrace

I cannot reproduce the backtrace. Are you still able to reproduce the backtrace?
Seems the previous engine switcher popup was closed unexpectedly and you launched the engine switcher popup again and caused the SEGV because m_loop is NULL.
So it would important how you terminated the previous engine switcher.

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007f19d6cb2895 in __GI_abort () at abort.c:79
#2  0x00007f19d6e93de3 in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x5605383edce8 <__func__.64224> "switcher_run", message=<optimized out>) at gtestutils.c:2596
#3  0x00007f19d6eee6be in g_assertion_message_expr (domain=domain@entry=0x5605383e7011 "IBUS", file=file@entry=0x5605383ed8df "switcher.c", line=line@entry=418, func=func@entry=0x5605383edce8 <__func__.64224> "switcher_run", expr=expr@entry=0x5605383ed945 "m_loop == null") at gtestutils.c:2619
#4  0x00005605383e3c76 in switcher_run (self=0x560539842340, keyval=keyval@entry=32, state=<optimized out>, event=event@entry=0x7f19b4007710, engines=<optimized out>, engines_length1=<optimized out>, index=1, input_context_path=0x5605395b80a0 "") at switcher.c:418
#5  0x00005605383daf17 in panel_handle_engine_switch (reverse=0, event=0x7f19b4007710, self=0x5605395b71b0) at panel.c:3572

Comment 13 Jens Petersen 2019-10-02 11:50:22 UTC
Clearing the needinfo for now

Comment 14 Ben Cotton 2019-10-31 18:47:41 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-11-27 23:30:32 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.